#!/usr/bin/make -f

export PYBUILD_NAME=requests_cache
# https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=python-requests-cache#n43
export PYBUILD_TEST_ARGS=--ignore=tests/integration

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# $(MAKE) -C docs html

override_dh_installexamples:
	dh_installexamples -ppython-requests-cache-doc examples/*

override_dh_installdocs:
	#dh_installdocs -ppython-requests-cache-doc docs/_build/html
	dh_installdocs -A README.md

override_dh_installchangelogs:
	dh_installchangelogs -A HISTORY.md
